SoRotationXYZ(3)

NAME
SoRotationXYZ - The SoRotationXYZ class is a node type for specifying rotation around a particular axis.

SYNOPSIS

#include <Inventor/nodes/SoRotationXYZ.h>

Inherits SoTransformation.

  Public Types
enum Axis { X, Y, Z }

  Public Member Functions
virtual SoType getTypeId (void) const
SoRotationXYZ (void)
SbRotation getRotation (void) const
virtual void doAction (SoAction *action)
virtual void GLRender (SoGLRenderAction *action)
virtual void callback (SoCallbackAction *action)
virtual void getBoundingBox (SoGetBoundingBoxAction *action)
virtual void getMatrix (SoGetMatrixAction *action)
virtual void pick (SoPickAction *action)
virtual void getPrimitiveCount (SoGetPrimitiveCountAction *action)

  Static Public Member Functions
static SoType getClassTypeId (void)
static void initClass (void)
Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system.

  Public Attributes
SoSFEnum axis
SoSFFloat angle

  Protected Member Functions
virtual const SoFieldData * getFieldData (void) const
virtual ~SoRotationXYZ ()

  Static Protected Member Functions
static const SoFieldData ** getFieldDataPtr (void)

  Additional Inherited Members

Detailed Description

The SoRotationXYZ class is a node type for specifying rotation around a particular axis. Application programmers can use nodes of this type instead of SoRotation nodes for simplicity and clarity if the rotation will only happen around one particular axis.

Using SoRotationXYZ nodes are also simpler and more efficient than using SoRotation nodes if you are connecting engines to rotation angles for animation purposes.

FILE FORMAT/DEFAULTS:

RotationXYZ {
    angle 0
    axis X
}

Member Enumeration Documentation

  enum SoRotationXYZ::Axis
Enumerated values for the 3 axes.

Enumerator

X   Rotation around X-axis.

Y   Rotation around Y-axis.

Z   Rotation around Z-axis.

Constructor & Destructor Documentation

  SoRotationXYZ::SoRotationXYZ (void)
Constructor.

  SoRotationXYZ::~SoRotationXYZ () [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoRotationXYZ::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoRotationXYZ::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

Reimplemented from SoTransformation.

  const SoFieldData ** SoRotationXYZ::getFieldDataPtr (void) [static], [protected]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Returns the SoFieldData class which holds information about fields in this node.

  const SoFieldData * SoRotationXYZ::getFieldData (void) const [protected], [virtual]
Returns a pointer to the class-wide field data storage object for this instance. If no fields are present, returns NULL.

Reimplemented from SoTransformation.

  SbRotation SoRotationXYZ::getRotation (void) const
Returns an SbRotation object with values set up to correspond with the specified rotation of the node.

  void SoRotationXYZ::doAction (SoAction * action) [virtual]
This function performs the typical operation of a node for any action.

Reimplemented from SoNode.

  void SoRotationXYZ::GLRender (SoGLRenderAction * action) [virtual]
Action method for the SoGLRenderAction.

This is called during rendering traversals. Nodes influencing the rendering state in any way or want to throw geometry primitives at OpenGL override this method.

Reimplemented from SoNode.

  void SoRotationXYZ::callback (SoCallbackAction * action) [virtual]
Action method for SoCallbackAction.

Simply updates the state according to how the node behaves for the render action, so the application programmer can use the SoCallbackAction for extracting information about the scene graph.

Reimplemented from SoNode.

  void SoRotationXYZ::getBoundingBox (SoGetBoundingBoxAction * action) [virtual]
Action method for the SoGetBoundingBoxAction.

Calculates bounding box and center coordinates for node and modifies the values of the action to encompass the bounding box for this node and to shift the center point for the scene more towards the one for this node.

Nodes influencing how geometry nodes calculate their bounding box also override this method to change the relevant state variables.

Reimplemented from SoNode.

  void SoRotationXYZ::getMatrix (SoGetMatrixAction * action) [virtual]
Action method for SoGetMatrixAction.

Updates action by accumulating with the transformation matrix of this node (if any).

Reimplemented from SoNode.

  void SoRotationXYZ::pick (SoPickAction * action) [virtual]
Action method for SoPickAction.

Does common processing for SoPickAction action instances.

Reimplemented from SoNode.

  void SoRotationXYZ::getPrimitiveCount (SoGetPrimitiveCountAction * action) [virtual]
Action method for the SoGetPrimitiveCountAction.

Calculates the number of triangle, line segment and point primitives for the node and adds these to the counters of the action.

Nodes influencing how geometry nodes calculate their primitive count also override this method to change the relevant state variables.

Reimplemented from SoNode.

Member Data Documentation

  SoSFEnum SoRotationXYZ::axis
Which axis to rotate around. Defaults to SoRotationXYZ::X.

  SoSFFloat SoRotationXYZ::angle
The angle to rotate, specified in radians.

Author

Generated automatically by Doxygen for Coin from the source code.